commit b552fbe5bc5ef705ee5a320f1afae66b40dcaedd
Author: Michael Paquier <michael@otacoo.com>
Date:   Thu Apr 24 15:46:26 2014 +0900

    Support compilation of pg_recvlogical in msvc scripts

diff --git a/src/tools/msvc/Mkvcbuild.pm b/src/tools/msvc/Mkvcbuild.pm
index 308a4b4..d06d6ad 100644
--- a/src/tools/msvc/Mkvcbuild.pm
+++ b/src/tools/msvc/Mkvcbuild.pm
@@ -375,6 +375,11 @@ sub mkvcbuild
 	$pgreceivexlog->AddFile('src\bin\pg_basebackup\pg_receivexlog.c');
 	$pgreceivexlog->AddLibrary('ws2_32.lib');
 
+	my $pgrecvlogical= AddSimpleFrontend('pg_basebackup', 1);
+	$pgrecvlogical->{name} = 'pg_recvlogical';
+	$pgrecvlogical->AddFile('src\bin\pg_basebackup\pg_recvlogical.c');
+	$pgrecvlogical->AddLibrary('ws2_32.lib');
+
 	my $pgconfig = AddSimpleFrontend('pg_config');
 
 	my $pgcontrol = AddSimpleFrontend('pg_controldata');
